{ ... }:
{

  boot.initrd.services.lvm.enable = true;

  boot.initrd.luks.devices = {
    "nixos-pv" = {
      device = "/dev/disk/by-uuid/614787a6-784a-4932-b787-cb6424725444";
      preLVM = true;
      allowDiscards = true;
    };
  };

  fileSystems = {
    "/".options = [
      "noatime"
      "nodiratime"
      "discard"
    ];

    "/home".options = [
      "noatime"
      "nodiratime"
      "discard"
    ];

    "/boot".options = [
      "noatime"
      "nodiratime"
      "discard"
    ];

    "/nix".depends = [
      "/"
      "/crypto"
    ];

  };
}
